Users

User management

Get all users

get
/user

Retrieve list of all users

Authorizations
x-api-keystringRequired

API key for tenant authentication

Responses
chevron-right
200

Successfully retrieved list of users for the tenant

application/json
idstringOptional

Unique identifier for the user

createdAtstring · date-timeOptional

Timestamp when user was created

updatedAtstring · nullableOptional

Timestamp when user was last updated

deletedAtstring · nullableOptional

Timestamp when user was deleted (soft delete)

fullNamesstringOptional

User's full first and middle names

lastNamestringOptional

User's last name

dateOfBirthstringOptional

Date of birth

documentTypestringOptional

Type of identification document

documentNumberstringOptional

Identification document number

documentCountrystringOptional

Country that issued the document

documentExpiryDatestringOptional

Document expiry date

mobileNumberstringOptional

Mobile phone number

isVerifiedbooleanOptional

Whether the user has been verified

tenantIdstringOptional

Unique identifier of the tenant this user belongs to

azaIdstring · nullableOptional

External Aza Finance user ID

get
/user
200

Successfully retrieved list of users for the tenant

Create user

post
/user

Create a new user

Authorizations
x-api-keystringRequired

API key for tenant authentication

Body
fullNamesstringRequired

User's full first and middle names

lastNamestringRequired

User's last name

dateOfBirthstringRequired

Date of birth in YYYY-MM-DD format

documentTypestringRequired

Type of identification document (e.g., passport, national_id)

documentNumberstringRequired

Identification document number

documentCountrystringRequired

Country that issued the document

documentExpiryDatestringRequired

Document expiry date in YYYY-MM-DD format

mobileNumberstringRequired

Mobile phone number in international E.164 format

Responses
post
/user

Get user by ID

get
/user/{id}

Retrieve user by ID

Authorizations
x-api-keystringRequired

API key for tenant authentication

Path parameters
idstringRequired
Responses
chevron-right
200

Successfully retrieved user details

application/json
idstringOptional

Unique identifier for the user

createdAtstring · date-timeOptional

Timestamp when user was created

updatedAtstring · nullableOptional

Timestamp when user was last updated

deletedAtstring · nullableOptional

Timestamp when user was deleted (soft delete)

fullNamesstringOptional

User's full first and middle names

lastNamestringOptional

User's last name

dateOfBirthstringOptional

Date of birth

documentTypestringOptional

Type of identification document

documentNumberstringOptional

Identification document number

documentCountrystringOptional

Country that issued the document

documentExpiryDatestringOptional

Document expiry date

mobileNumberstringOptional

Mobile phone number

isVerifiedbooleanOptional

Whether the user has been verified

tenantIdstringOptional

Unique identifier of the tenant this user belongs to

azaIdstring · nullableOptional

External Aza Finance user ID

get
/user/{id}

Update user

put
/user/{id}

Update user by ID

Authorizations
x-api-keystringRequired

API key for tenant authentication

Path parameters
idstringRequired
Responses
chevron-right
200

User updated successfully

application/json
idstringOptional

Unique identifier for the user

createdAtstring · date-timeOptional

Timestamp when user was created

updatedAtstring · nullableOptional

Timestamp when user was last updated

deletedAtstring · nullableOptional

Timestamp when user was deleted (soft delete)

fullNamesstringOptional

User's full first and middle names

lastNamestringOptional

User's last name

dateOfBirthstringOptional

Date of birth

documentTypestringOptional

Type of identification document

documentNumberstringOptional

Identification document number

documentCountrystringOptional

Country that issued the document

documentExpiryDatestringOptional

Document expiry date

mobileNumberstringOptional

Mobile phone number

isVerifiedbooleanOptional

Whether the user has been verified

tenantIdstringOptional

Unique identifier of the tenant this user belongs to

azaIdstring · nullableOptional

External Aza Finance user ID

put
/user/{id}

Delete user

delete
/user/{id}

Delete user by ID

Authorizations
x-api-keystringRequired

API key for tenant authentication

Path parameters
idstringRequired
Responses
chevron-right
200

User deleted successfully

application/json
stringOptionalExample: User has been deleted
delete
/user/{id}

Last updated